#coding: utf-8

module Ns
  class ResultError < RuntimeError
    attr_reader :result
    def initialize(result = nil)
      raise "Invalid result argument!" unless result.is_a?(Result)
      super(result.msg)
      @result = result
    end

    def to_s
      "RusultError: #{@result.status} #{@result.msg}, detail: #{@result.errors.inspect}"
    end
  end
end

